package com.slodon.b2b2c.vo.system;

import com.slodon.b2b2c.system.pojo.TplPcMallDeco;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 封装pc装修页详情VO对象
 * @author wuxy
 */
@Data
public class TplPcMallDecoDetailVO implements Serializable {

    private static final long serialVersionUID = -4458322394371803424L;
    @ApiModelProperty("装修页id")
    private Integer decoId;

    @ApiModelProperty("装修页类型")
    private String decoType;

    @ApiModelProperty("装修页名称")
    private String decoName;

    @ApiModelProperty("是否启用该装修页；0==不启用，1==启用")
    private Integer isEnable;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("装修页数据")
    private String data;

    public TplPcMallDecoDetailVO(TplPcMallDeco tplPcMallDeco) {
        decoId = tplPcMallDeco.getDecoId();
        decoType = tplPcMallDeco.getDecoType();
        decoName = tplPcMallDeco.getDecoName();
        isEnable = tplPcMallDeco.getIsEnable();
        createTime = tplPcMallDeco.getCreateTime();
        updateTime = tplPcMallDeco.getUpdateTime();
        data = tplPcMallDeco.getData();
    }
}
